Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex.util
Class Context

    java.lang.Object
      writer2latex.latex.util.Context

    public class Context

extends java.lang.Object

LaTeX code is in general very context dependent. This class tracks the current context, which is the used by the converter to create valid and optimal LaTeX code.

Field Summary
`private boolean` | `bIgnoreLists`
`private boolean` | `bInCaption`
`private boolean` | `bInFigureFloat`
`private boolean` | `bInFootnote`
`private boolean` | `bInFrame`
`private boolean` | `bInHeaderFooter`
`private boolean` | `bInLastTableColumn`
`private boolean` | `bInMulticols`
`private boolean` | `bInSection`
`private boolean` | `bInSimpleTable`
`private boolean` | `bInTable`
`private boolean` | `bInTableFloat`
`private boolean` | `bNoFootnotes`
`private boolean` | `bNoLineBreaks`
`private boolean` | `bVerbatim`
`private int` | `nListLevel`
`private java.lang.String` | `sBgColor`
`private java.lang.String` | `sCountry`
`private java.lang.String` | `sFontColor`
`private java.lang.String` | `sFontName`
`private java.lang.String` | `sFontSize`
`private java.lang.String` | `sFontStyle`
`private java.lang.String` | `sFontVariant`
`private java.lang.String` | `sFontWeight`
`private java.lang.String` | `sLang`
`private java.lang.String` | `sListStyleName`

Constructor Summary
`Context()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getBgColor()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getFontColor()`
`java.lang.String` | `getFontName()`
`java.lang.String` | `getFontSize()`
`java.lang.String` | `getFontStyle()`
`java.lang.String` | `getFontVariant()`
`java.lang.String` | `getFontWeight()`
`java.lang.String` | `getLang()`
`int` | `getListLevel()`
`java.lang.String` | `getListStyleName()`
`void` | `incListLevel()`
`boolean` | `isIgnoreLists()`
`boolean` | `isInCaption()`
`boolean` | `isInFigureFloat()`
`boolean` | `isInFootnote()`
`boolean` | `isInFrame()`
`boolean` | `isInHeaderFooter()`
`boolean` | `isInLastTableColumn()`
`boolean` | `isInMulticols()`
`boolean` | `isInSection()`
`boolean` | `isInSimpleTable()`
`boolean` | `isInTable()`
`boolean` | `isInTableFloat()`
`boolean` | `isNoFootnotes()`
`boolean` | `isNoLineBreaks()`
`boolean` | `isVerbatim()`
`void` | `resetFormattingFromStyle(StyleWithProperties style)`
`void` | `setBgColor(java.lang.String sBgColor)`
`void` | `setCountry(java.lang.String sCountry)`
`void` | `setFontColor(java.lang.String sFontColor)`
`void` | `setFontName(java.lang.String sFontName)`
`void` | `setFontSize(java.lang.String sFontSize)`
`void` | `setFontStyle(java.lang.String sFontStyle)`
`void` | `setFontVariant(java.lang.String sFontVariant)`
`void` | `setFontWeight(java.lang.String sFontWeight)`
`void` | `setIgnoreLists(boolean bIgnoreLists)`
`void` | `setInCaption(boolean bInCaption)`
`void` | `setInFigureFloat(boolean bInFigureFloat)`
`void` | `setInFootnote(boolean bInFootnote)`
`void` | `setInFrame(boolean bInFrame)`
`void` | `setInHeaderFooter(boolean bInHeaderFooter)`
`void` | `setInLastTableColumn(boolean bInLastTableColumn)`
`void` | `setInMulticols(boolean bInMulticols)`
`void` | `setInSection(boolean bInSection)`
`void` | `setInSimpleTable(boolean bInSimpleTable)`
`void` | `setInTable(boolean bInTable)`
`void` | `setInTableFloat(boolean bInTableFloat)`
`void` | `setLang(java.lang.String sLang)`
`void` | `setListLevel(int nListLevel)`
`void` | `setListStyleName(java.lang.String sListStyleName)`
`void` | `setNoFootnotes(boolean bNoFootnotes)`
`void` | `setNoLineBreaks(boolean bNoLineBreaks)`
`void` | `setVerbatim(boolean bVerbatim)`
`void` | `updateFormattingFromStyle(StyleWithProperties style)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sListStyleName

    private java.lang.String sListStyleName

### sBgColor

    private java.lang.String sBgColor

### sFontName

    private java.lang.String sFontName

### sFontStyle

    private java.lang.String sFontStyle

### sFontVariant

    private java.lang.String sFontVariant

### sFontWeight

    private java.lang.String sFontWeight

### sFontSize

    private java.lang.String sFontSize

### sFontColor

    private java.lang.String sFontColor

### sLang

    private java.lang.String sLang

### sCountry

    private java.lang.String sCountry

### bInHeaderFooter

    private boolean bInHeaderFooter

### bInTable

    private boolean bInTable

### bInLastTableColumn

    private boolean bInLastTableColumn

### bInSimpleTable

    private boolean bInSimpleTable

### bInMulticols

    private boolean bInMulticols

### nListLevel

    private int nListLevel

### bInSection

    private boolean bInSection

### bInCaption

    private boolean bInCaption

### bInFigureFloat

    private boolean bInFigureFloat

### bInTableFloat

    private boolean bInTableFloat

### bInFrame

    private boolean bInFrame

### bInFootnote

    private boolean bInFootnote

### bVerbatim

    private boolean bVerbatim

### bNoLineBreaks

    private boolean bNoLineBreaks

### bNoFootnotes

    private boolean bNoFootnotes

### bIgnoreLists

    private boolean bIgnoreLists

Constructor Detail

### Context

    public Context()

Method Detail

### setBgColor

    public void setBgColor(java.lang.String sBgColor)

### getBgColor

    public java.lang.String getBgColor()

### setListStyleName

    public void setListStyleName(java.lang.String sListStyleName)

### getListStyleName

    public java.lang.String getListStyleName()

### setFontName

    public void setFontName(java.lang.String sFontName)

### getFontName

    public java.lang.String getFontName()

### setFontStyle

    public void setFontStyle(java.lang.String sFontStyle)

### getFontStyle

    public java.lang.String getFontStyle()

### setFontVariant

    public void setFontVariant(java.lang.String sFontVariant)

### getFontVariant

    public java.lang.String getFontVariant()

### setFontWeight

    public void setFontWeight(java.lang.String sFontWeight)

### getFontWeight

    public java.lang.String getFontWeight()

### setFontSize

    public void setFontSize(java.lang.String sFontSize)

### getFontSize

    public java.lang.String getFontSize()

### setFontColor

    public void setFontColor(java.lang.String sFontColor)

### getFontColor

    public java.lang.String getFontColor()

### setLang

    public void setLang(java.lang.String sLang)

### getLang

    public java.lang.String getLang()

### setCountry

    public void setCountry(java.lang.String sCountry)

### getCountry

    public java.lang.String getCountry()

### setInHeaderFooter

    public void setInHeaderFooter(boolean bInHeaderFooter)

### isInHeaderFooter

    public boolean isInHeaderFooter()

### setInTable

    public void setInTable(boolean bInTable)

### isInTable

    public boolean isInTable()

### setInLastTableColumn

    public void setInLastTableColumn(boolean bInLastTableColumn)

### isInLastTableColumn

    public boolean isInLastTableColumn()

### setInSimpleTable

    public void setInSimpleTable(boolean bInSimpleTable)

### isInSimpleTable

    public boolean isInSimpleTable()

### setInMulticols

    public void setInMulticols(boolean bInMulticols)

### isInMulticols

    public boolean isInMulticols()

### setListLevel

    public void setListLevel(int nListLevel)

### incListLevel

    public void incListLevel()

### getListLevel

    public int getListLevel()

### setInSection

    public void setInSection(boolean bInSection)

### isInSection

    public boolean isInSection()

### setInCaption

    public void setInCaption(boolean bInCaption)

### isInCaption

    public boolean isInCaption()

### setInFigureFloat

    public void setInFigureFloat(boolean bInFigureFloat)

### isInFigureFloat

    public boolean isInFigureFloat()

### setInTableFloat

    public void setInTableFloat(boolean bInTableFloat)

### isInTableFloat

    public boolean isInTableFloat()

### setInFrame

    public void setInFrame(boolean bInFrame)

### isInFrame

    public boolean isInFrame()

### setInFootnote

    public void setInFootnote(boolean bInFootnote)

### isInFootnote

    public boolean isInFootnote()

### setNoFootnotes

    public void setNoFootnotes(boolean bNoFootnotes)

### isNoFootnotes

    public boolean isNoFootnotes()

### setIgnoreLists

    public void setIgnoreLists(boolean bIgnoreLists)

### isIgnoreLists

    public boolean isIgnoreLists()

### setNoLineBreaks

    public void setNoLineBreaks(boolean bNoLineBreaks)

### isNoLineBreaks

    public boolean isNoLineBreaks()

### isVerbatim

    public boolean isVerbatim()

### setVerbatim

    public void setVerbatim(boolean bVerbatim)

### updateFormattingFromStyle

    public void updateFormattingFromStyle(StyleWithProperties style)

### resetFormattingFromStyle

    public void resetFormattingFromStyle(StyleWithProperties style)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD